be.fgov.ehealth.mycarenet.commons.core.v4

## Class SubjectType

- java.lang.Object
- - be.fgov.ehealth.mycarenet.commons.core.v4.SubjectType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ActorType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:15:35+01:00",
                 comments="JAXB RI v2.2.11")
      public class SubjectType
      extends Object
      implements Serializable

  Java class for SubjectType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SubjectType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Identifier" maxOccurs="unbounded">
                 <complexType>
                   <simpleContent>
                     <extension base="<http://www.w3.org/2001/XMLSchema>string">
                       <attribute name="Type" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </extension>
                   </simpleContent>
                 </complexType>
               </element>
               <element name="Attribute" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}AttributeType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="Type" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="SubType" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubjectType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AttributeType>` | `getAttributes()` Gets the value of the attributes property.
    `List<Identifier>` | `getIdentifiers()` Gets the value of the identifiers property.
    `String` | `getSubType()` Gets the value of the subType property.
    `String` | `getType()` Gets the value of the type property.
    `void` | `setSubType(String value)` Sets the value of the subType property.
    `void` | `setType(String value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubjectType

          public SubjectType()

  - ### Method Detail

    - #### getIdentifiers

          public List<Identifier> getIdentifiers()

      Gets the value of the identifiers property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the identifiers property.

      For example, to add a new item, do as follows:

              getIdentifiers().add(newItem);

      Objects of the following type(s) are allowed in the list `Identifier`

    - #### getAttributes

          public List<AttributeType> getAttributes()

      Gets the value of the attributes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributes property.

      For example, to add a new item, do as follows:

              getAttributes().add(newItem);

      Objects of the following type(s) are allowed in the list `AttributeType`

    - #### getType

          public String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSubType

          public String getSubType()

      Gets the value of the subType property.
      Returns:
        possible object is `String`

    - #### setSubType

          public void setSubType(String value)

      Sets the value of the subType property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSDIETICIAN 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.